Last seen

Returns the most recent Tive data point for a shipment. Scoped to the caller’s organization. | authz: min_org_role=operator | () -> (TiveDataPoint1 | None)

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

tive_shipment_idstringRequired

Response

Successful Response
schema_versioninteger
timestampdatetime
metadataobject
locationobject

GeoJSON Feature with typed properties for locations

The geometry field is strongly typed as Geometry (union of all geometry types) but remains optional to match the base Feature class specification. To ensure geometry is always present, validate it at runtime or make it required.

_idstring
temperature_fdouble or null
humiditydouble or null
acceleration_gdouble or null
acceleration_xdouble or null
acceleration_ydouble or null
acceleration_zdouble or null
lightdouble or null
motioninteger or null
batteryinteger or null
location_methodstring or null
process_timedatetime or null

Errors

422
Timeseries Last Seen V1request Unprocessable Entity Error